Summary:	NetworkManager VPN integration for OpenSWAN
Name:		networkmanager-openswan
Version:	0.9.8.4
Release:	1
License:	GPLv2+
Group:		System/Base
Url:		http://www.gnome.org/projects/NetworkManager/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/NetworkManager-openswan/0.9/NetworkManager-openswan-%{version}.tar.xz
Patch0:		NetworkManager-openswan-0.9.8.4-deprecated.patch
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnm-glib)
BuildRequires:	pkgconfig(libnm-glib-vpn)
BuildRequires:	pkgconfig(libnm-util)
Requires:	GConf2
Requires:	gnome-keyring
Requires:	networkmanager
Suggests:	openswan
Requires:	shared-mime-info

%description
This package contains software for integrating the OpenSWAN IPSec VPN software
with NetworkManager and the GNOME desktop.

%files -f NetworkManager-openswan.lang
%doc AUTHORS ChangeLog README
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/nm-openswan-service.conf
%config(noreplace) %{_sysconfdir}/NetworkManager/VPN/nm-openswan-service.name
%{_libdir}/NetworkManager/libnm-openswan-properties.so
%{_libexecdir}/nm-openswan-auth-dialog
%{_libexecdir}/nm-openswan-service
%{_libexecdir}/nm-openswan-service-helper
%{_datadir}//gnome-vpn-properties/openswan/nm-openswan-dialog.ui

#----------------------------------------------------------------------------

%prep
%setup -qn NetworkManager-openswan-%{version}
%apply_patches

%build
%configure2_5x \
	--disable-static \
	--disable-dependency-tracking \
	--enable-more-warnings=no

%make

%install
%makeinstall_std

%find_lang NetworkManager-openswan


%changelog
* Fri Jul 04 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.8.4-1
+ Revision: ded6d78
- Don't use -Werror flag


